package com.jiayue.ssi.job;

import com.jiayue.ssi.service.impl.FileAnalysisService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

/**
 * 文件解析
 *
 * @author bizy
 * @version 3.0
 */
@Slf4j
@Service
@EnableScheduling
public class FileAnalysisJob {

    @Autowired
    private FileAnalysisService fileAnalysisService;

    @Scheduled(cron = "0 0/1 * * * *")
    public void fxglFileAnalysis() {
        log.debug("文件解析定时任务执行开始");
        fileAnalysisService.analysisJob();
        log.debug("文件解析定时任务执行完成");
    }
}
